software-center crashed with TypeError in display_search()

Bug #586306 reported by ERE on 2010-05-27
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
software-center (Ubuntu)
Medium
Unassigned
Lucid
Medium
Unassigned

Bug Description

Binary package hint: software-center

TEST CASE:
- this bug is hard to trigger (a race condition). so a regression test if searching in the installed pane
 still works should be enough (the fix itself in the code is also pretty obvious)

software-center crashed with TypeError in display_search()

ProblemType: Crash
DistroRelease: Ubuntu 10.04
Package: software-center 2.0.4
ProcVersionSignature: Ubuntu 2.6.32-22.33-generic 2.6.32.11+drm33.2
Uname: Linux 2.6.32-22-generic i686
Architecture: i386
Date: Thu May 27 13:14:37 2010
ExecutablePath: /usr/share/software-center/software-center
InstallationMedia: Ubuntu 10.04 LTS "Lucid Lynx" - Release i386 (20100429)
InterpreterPath: /usr/bin/python2.6
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/bin/software-center
ProcEnviron:
 LANG=fr_FR.UTF-8
 SHELL=/bin/bash
PythonArgs: ['/usr/bin/software-center']
SourcePackage: software-center
Title: software-center crashed with TypeError in display_search()
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

ERE (karfter) wrote :

This crash has the same stack trace characteristics as bug #560716. However, the latter was already fixed in an earlier package version than the one in this report. This might be a regression or because the problem is in a dependent package.

tags: removed: need-duplicate-check
tags: added: regression-retracer
Michael Vogt (mvo) on 2010-05-31
visibility: private → public
Changed in software-center (Ubuntu):
importance: Undecided → Medium
status: New → Confirmed
Changed in software-center (Ubuntu Lucid):
status: New → In Progress
importance: Undecided → Medium
description: updated
Michael Vogt (mvo) on 2010-05-31
description: updated
Changed in software-center (Ubuntu):
status: Confirmed → Fix Committed

Accepted software-center into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in software-center (Ubuntu Lucid):
status: In Progress → Fix Committed
tags: added: verification-needed
Paul Elliott (omahn) wrote :

Successfully verified that software-center 2.0.5 from lucid-proposed installs fine and can perform searches from the installed applications section.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 2.1.2

---------------
software-center (2.1.2) maverick; urgency=low

  [ Gary Lasker ]
  * softwarecenter/view/viewswitcher.py:
    - only reselect a channel node when a model is available
      (LP: #578497)
  * fix "List view forgets selected row" regression (LP: #584969)
  * softwarecenter/view/availablepane.py:
    - fix broken searches
  * data/ui/SoftwareCenter.ui,
    softwarecenter/app.py,
    softwarecenter/view/availablepane.py,
    softwarecenter/view/navhistory.py:
    - bit of navhistory code housekeeping
    - add navhistory back/forward actions and corresponding
      menu items
    - integrate navhistory actions with custom back/forward
      buttons
    - add accelerator keys for navhistory actions
  * merged lp:~osomon/software-center/memory_leak, fixes
    memory leak regression (LP: #577540), thanks Olivier Tilloy!
  * softwarecenter/backend/aptd.py:
    - fix error when updating software sources (LP: #586623)
  * merged lp:~osomon/software-center/memory_leak, disconnect
    signals to allow appstore to be deleted, thanks Olivier Tilloy!
  * merged lp:~osomon/software-center/fix_appstore_update, remake
    pkgname_index_map correctly, many thanks Olivier!
  * softwarecenter/view/historypane.py:
    - fix UnboundLocalError if history.log is empty
  * merged lp:~hellium/software-center/installed-date, history
    pane log parsing merged to AptHistory, implement "Installed since"
    feature in the details view, many thanks Geliy Sokolov!
  * softwarecenter/apt/apthistory.py,
    softwarecenter/view/historypane.py:
    - fix launch error in the case where there is no
      history.log file (LP: #591590)

  [ Michael Vogt ]
  * merged lp:~glatzor/software-center/glatzor to get improved
    aptdaemon API
  * test/test_aptd.py:
    - update tests to work with new defered magic API
  * debian/control:
    - update dependencies on aptdaemon
  * merged lp:~mmcg069/software-center/improve-appview-persistence
    (many thanks!)
  * softwarecenter/view/installedpane.py:
    - do not crash if model is None (LP: #586306)
  * merged lp:~gary-lasker/software-center/hide_nonapps_pkgs_xapian
    many thanks to Jacob Johan Edwards and Gary
  * softwarecenter/apt/apthistory.py:
    - add test (and test data) for AptHistory class
    - be more async friendly and add test for async
  * merge lp:~mvo/software-center/launchpad-login branch that
    provides the infrastructure for LP login/API calls and supports
    displaying private PPAs
  * softwarecenter/apt/apthistory.py:
    - be more robust against invalid entries (LP: #590281), this
      also need a python-debian fix to be fully working
 -- Michael Vogt <email address hidden> Thu, 10 Jun 2010 12:04:34 +0200

Changed in software-center (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-center - 2.0.5

---------------
software-center (2.0.5) lucid-proposed; urgency=low

  [ Olivier Tilloy ]
  * Fix the database update when run with a Turkish locale
    (patch by M. Vefa Bicakci). LP: #581207

  [ Michael Vogt ]
  * softwarecenter/view/installedpane.py:
    - do not crash if model is None (LP: #586306)

  [ Matthew McGowan ]
  * Fix draw artifacts in the back/forward buttons when the widgets
    are resized (lp:~mmcg069/software-center/backforward-redraw-fix)
    Fixes LP: #582143
 -- Michael Vogt <email address hidden> Mon, 17 May 2010 09:44:05 +0200

Changed in software-center (Ubuntu Lucid):
status: Fix Committed → Fix Released
tags: added: testcase
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers